#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int n1, n2, n3;
int a1, a2, a3;
int b1, b2, b3;

//struct three {
//    int x;
//    int y;
//    int z;
//    three() : x(0), y(0), z(0) {}
//    three(int x, int y, int z) : x(x), y(y), z(z) {}
//};


template<>
struct std::hash<tuple<int, int, int>> {
    size_t operator()(std::tuple<int, int, int> const &tt) const {
        return get<0>(tt) * 31 + get<1>(tt) * 17 + get<2>(tt) * 13;
    };
};

auto hh = [](std::tuple<int, int, int> const &tt) {
    return get<0>(tt) * 31 + get<1>(tt) * 17 + get<2>(tt) * 13;
};


queue<tuple<int, int, int>> q;
map<tuple<int, int, int>, int> s;
//unordered_map<tuple<int, int, int>, int, std::hash<tuple<int, int, int>>> s;
//unordered_map<tuple<int, int, int>, int, decltype(hh)> s(8, hh);


int main() {
    cin >> n1 >> n2 >> n3;
    cin >> a1 >> a2 >> a3;
    cin >> b1 >> b2 >> b3;
//    cout << hash<tuple<int, int, int>>({1, 2, 3});
    q.push({a1, a2, a3});
    s.insert({{a1, a2, a3}, 0});
    while (!q.empty()) {
        auto cur = q.front();
        q.pop();
        int e[3];
        e[0] = get<0>(cur);
        e[1] = get<1>(cur);
        e[2] = get<2>(cur);
        int needed1 = n1 - e[0];
        if (needed1 != 0) {
            if (needed1 > e[1]) {
                if (s.find({e[0] + e[1], 0, e[2]}) == s.end()) {
                    s.insert({{e[0] + e[1], 0, e[2]}, s.find(cur)->second + 1});
                    q.push({e[0] + e[1], 0, e[2]});
                }
            } else {
                if (s.find({e[0] + needed1, e[1] - needed1, e[2]}) == s.end()) {
                    s.insert({{e[0] + needed1, e[1] - needed1, e[2]}, s.find(cur)->second + 1});
                    q.push({e[0] + needed1, e[1] - needed1, e[2]});
                }
            }
        }
        if (needed1 != 0) {
            if (needed1 > e[2]) {
                if (s.find({e[0] + e[2], e[1], 0}) == s.end()) {
                    s.insert({{e[0] + e[2], e[1], 0}, s.find(cur)->second + 1});
                    q.push({e[0] + e[2], e[1], 0});
                }
            } else {
                if (s.find({e[0] + needed1, e[1], e[2] - needed1}) == s.end()) {
                    s.insert({{e[0] + needed1, e[1], e[2] - needed1}, s.find(cur)->second + 1});
                    q.push({e[0] + needed1, e[1], e[2] - needed1});
                }
            }
        }

        int needed2 = n3 - e[2];
        if (needed2 != 0) {
            if (needed2 > e[0]) {
                if (s.find({0, e[1], e[0] + e[2]}) == s.end()) {
                    s.insert({{0, e[1], e[0] + e[2]}, s.find(cur)->second + 1});
                    q.push({0, e[1], e[0] + e[2]});
                }
            } else {
                if (s.find({e[0] - needed2, e[1], e[2] + needed2}) == s.end()) {
                    s.insert({{e[0] - needed2, e[1], e[2] + needed2}, s.find(cur)->second + 1});
                    q.push({e[0] - needed2, e[1], e[2] + needed2});
                }
            }
        }
        if (needed2 != 0) {
            if (needed2 > e[1]) {
                if (s.find({e[0], 0, e[1] + e[2]}) == s.end()) {
                    s.insert({{e[0], 0, e[1] + e[2]}, s.find(cur)->second + 1});
                    q.push({e[0], 0, e[1] + e[2]});
                }
            } else {
                if (s.find({e[0], e[1] - needed2, e[2] + needed2}) == s.end()) {
                    s.insert({{e[0], e[1] - needed2, e[2] + needed2}, s.find(cur)->second + 1});
                    q.push({e[0], e[1] - needed2, e[2] + needed2});
                }
            }
        }

        int needed3 = n2 - e[1];
        if (needed3 != 0) {
            if (needed3 > e[0]) {
                if (s.find({0, e[0] + e[1], e[2]}) == s.end()) {
                    s.insert({{0, e[0] + e[1], e[2]}, 1});
                    q.push({0, e[0] + e[1], e[2]});
                }
            } else {
                if (s.find({e[0] - needed3, e[1] + needed3, e[2]}) == s.end()) {
                    s.insert({{e[0] - needed3, e[1] + needed3, e[2]}, s.find(cur)->second + 1});
                    q.push({e[0] - needed3, e[1] + needed3, e[2]});
                }
            }
        }
        if (needed3 != 0) {
            if (needed3 > e[2]) {
                if (s.find({e[0], e[1] + e[2], 0}) == s.end()) {
                    s.insert({{e[0], e[1] + e[2], 0}, s.find(cur)->second + 1});
                    q.push({e[0], e[1] + e[2], 0});
                }
            } else {
                if (s.find({e[0], e[1] + needed3, e[2] - needed3}) == s.end()) {
                    s.insert({{e[0], e[1] + needed3, e[2] - needed3}, s.find(cur)->second + 1});
                    q.push({e[0], e[1] + needed3, e[2] - needed3});
                }
            }
        }
    }

    int a[3];
    int used[3];
    int minn = (int) 1e9;


    if (s.find({b1, b2, b3}) != s.end()) {
        minn = min(minn, s.find({b1, b2, b3})->second);
    }
    if (s.find({b1, b3, b2}) != s.end()) {
        minn = min(minn, s.find({b1, b3, b2})->second);
    }
    if (s.find({b2, b1, b3}) != s.end()) {
        minn = min(minn, s.find({b2, b1, b3})->second);
    }
    if (s.find({b2, b3, b1}) != s.end()) {
        minn = min(minn, s.find({b2, b3, b1})->second);
    }
    if (s.find({b3, b2, b1}) != s.end()) {
        minn = min(minn, s.find({b3, b2, b1})->second);
    }
    if (s.find({b3, b1, b2}) != s.end()) {
        minn = min(minn, s.find({b3, b1, b2})->second);
    }
    if (minn == (int) 1e9) {
        cout << -1 << endl;
    } else {
        cout << minn << endl;
    }
    return 0;
}