#include "testlib.h"
#include <set>

const long long MAXN = 100000;
const long long MAXL = 1'000'000'000'000'000'000;

std::vector<long long> arr;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    long long n = inf.readLong(1ll, MAXN, "n");
    inf.readEoln();
    arr.resize(n);
    for (int i = 0; i < n; i++) {
        arr[i] = inf.readLong(-MAXL, MAXL, "x1");
        if (i > 0) {
            ensuref(arr[i] != arr[i - 1], "not_equal 1");
        }
        if (i < n - 1) {
            inf.readSpace();
        }
    }
    inf.readEoln();
    int m = inf.readInt(1, MAXN, "m");
    inf.readEoln();
    for (int i = 0; i < m; i++) {
        int x = inf.readLong(1, n, "x");
        inf.readSpace();
        int y = inf.readLong(-MAXL, MAXL, "y");
        inf.readEoln();
        arr[x - 1] = y;
        if (x - 1 > 0) {
            ensuref(arr[x - 1] != arr[x - 2], "not_equal 3");
        }
        if (x - 1 < n - 1) {
            ensuref(arr[x - 1] != arr[x], "not_equal 4");
        }
    }
    inf.readEof();
}
