#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include "testlib.h"
//#include <ext/pb_ds/assoc_container.hpp>
#define fi first
#define se second
#define sz(x) ((int)x.size())
#define all(x) x.begin(),x.end()
#ifndef LOCAL
#  define cerr __get_ce
#endif
 
using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

const int MAXX = (int)1e8;
const int max2 = MAXX / 1000;

ll gcd(ll a, ll b) {
	while (b) {
		a %= b;
		swap(a, b);
	}
	return a;
}

ll last(ll x, ll y, ll dx, ll dy) {
	ll ans = 1e18;
	if (dx > 0)
		ans = min(ans, (MAXX - x) / dx);
	else if (dx < 0)
		ans = min(ans, (x + MAXX) / -dx);
	if (dy > 0)
		ans = min(ans, (MAXX - y) / dy);
	else if (dy < 0)
		ans = min(ans, (y + MAXX) / -dy);
	return ans;
}

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    /* Read number from command line. */
    int n = atoi(argv[1]);
    while (true) {
    	ll dx = rnd.next(-max2, max2);
    	ll dy = rnd.next(-max2, max2);
    	if (dx + dy == 0)
    		continue;
    	ll x = rnd.next(-MAXX, MAXX);
    	ll y = rnd.next(-MAXX, MAXX);
    	ll c = last(x, y, -dx, -dy);
    	x -= c * dx;
    	y -= c * dy;
    	c = last(x, y, dx, dy);
    	if (c < n)
    		continue;
    	set<ll> se;
    	while ((int)se.size() < n) {
    		ll i = rnd.next(0ll, c);
    		se.insert(i);
    	}
    	vector<ll> mas;
    	for (auto i: se)
    		mas.push_back(i);
    	shuffle(mas.begin(), mas.end());
    	cout << n << "\n";
    	for (auto i: mas) {
    		ll xx = x + i * dx;
    		ll yy = y + i * dy;
    		cout << xx << " " << yy << "\n";
    	}
    	break;
    }
    return 0;    
}