#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include "testlib.h"
//#include <ext/pb_ds/assoc_container.hpp>
#define fi first
#define se second
#define sz(x) ((int)x.size())
#define all(x) x.begin(),x.end()
#ifndef LOCAL
#  define cerr __get_ce
#endif
 
using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

const int MAXX = (int)1e8;

struct point {
	ll x, y;
	point (ll x_ = 0, ll y_ = 0): x(x_), y(y_) {};
	point operator - (point const a) {
		return point(x - a.x, y - a.y);
	}
	ll operator * (point const a) {
		return x * a.y - y * a.x;
	}
	ll operator / (point const a) {
		return x * a.x + y * a.y;
	}
	bool operator == (const point a) const {
		return x == a.x && y == a.y;
	}
	bool operator != (const point a) const {
		return x != a.x || y != a.y;
	}
	bool operator <(const point a) const {
		if (x != a.x)
			return x < a.x;
		return y < a.y;
	}
};

int main(int argc, char* argv[])
{
    registerValidation(argc, argv);

    int n = inf.readInt(3, 9, "n");
    vector<point> mas(n);
    inf.readEoln();
    for (int i = 0; i < n; i++) {
    	mas[i].x = inf.readInt(-MAXX, MAXX, "x_i");
    	inf.readSpace();
    	mas[i].y = inf.readInt(-MAXX, MAXX, "y_i");
    	inf.readEoln();
    }
    for (int i = 0; i < n; i++) {
    	for (int j = i + 1; j < n; j++) {
    		ensuref(mas[i] != mas[j], "same points");
    	}
    }
    inf.readEof();
}