//#define LOCAL

#include <iostream>
#include <unordered_set>
#include <vector>
#include <string>
#include <cstdlib>
#include <cstdio>
#include <random>
#ifdef LOCAL
#include "../testlib.h"
#else
#include "testlib.h"
#endif

std::vector<int> a;
long long sum;
int max_b = 100'000;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    a.resize(n);
    int max_amount = (int) 2e8;
    int amount = rnd.next(2 * n, max_amount);
    int added = 0;
    for (int i = 0; i < (3 * n) / 4; ++i) {
        a[i] = rnd.next((2 * amount) / (3 * n), (4 * amount) / (3 * n));
        sum += a[i];
        added += 1;
    }
    amount -= sum;
    int m = n - added;
    for (int i = 0; i < m; ++i) {
        a[i] = rnd.next(0, std::min(amount, 100000));
        amount -= a[i];
        sum += a[i];
    }
    auto rng = std::default_random_engine {};
    std::shuffle(std::begin(a), std::end(a), rng);
    int average = sum / n;
    int b = rnd.next(std::max(0, std::min(average / 100, max_b)), std::min(max_b, (5 * average) / 3)); 
    std::cout << n << " " << b << std::endl;
    for (int i = 0; i < n; ++i) {
        if (i != n - 1) {
            std::cout << a[i] << " ";
        } else {
            std::cout << a[i] << "\n";
        }
    }
    return 0;
}