#include <iostream>
#include <vector>
#include <unordered_set>

using namespace std;

vector<unsigned int> move_north(vector<unsigned int> const &x) {
    return vector<unsigned int>{x[1], x[5], x[2], x[3], x[0], x[4]};
}

vector<unsigned int> move_south(vector<unsigned int> const &x) {
    return vector<unsigned int>{x[4], x[0], x[2], x[3], x[5], x[1]};
}

vector<unsigned int> move_west(vector<unsigned int> const &x) {
    return vector<unsigned int>{x[2], x[1], x[5], x[0], x[4], x[3]};
}

vector<unsigned int> move_east(vector<unsigned int> const &x) {
    return vector<unsigned int>{x[3], x[1], x[0], x[5], x[4], x[2]};
}

int main() {

    vector<unsigned int> x(6);
    for (unsigned int i = 0; i < 6; i++) {
        cin >> x[i];
    }
    unsigned int t;
    cin >> t;

    unsigned long long s = 0;
    unsigned int d = 0;
    unordered_set<long long> reach{0};

    for (unsigned int i = 0; i < t; i++) {
        unsigned long long q;
        cin >> q;
        while (s < q) {
            s += x[5];
            reach.insert(s);
            d = (d + x[5]) % 4;
            if (d == 0) {
                x = move_north(x);
            } else if (d == 1) {
                x = move_east(x);
            } else if (d == 2) {
                x = move_south(x);
            } else {
                x = move_west(x);
            }
        }
        if (reach.count(q) > 0) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }

}