#include "testlib.h"
#include <iostream>

using namespace std;

const int MAXX = (int)1e8;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    /* Read number from command line. */
    int n = atoi(argv[1]);
    set<pair<int, int>> se;
    while ((int)se.size() < n) {
    	int x = rnd.next(-MAXX, MAXX);
    	int y = rnd.next(-MAXX, MAXX);
    	se.insert({x, y});
    }
    vector<pair<int, int>> mas;
    for (auto p: se)
    	mas.push_back(p);
    shuffle(mas.begin(), mas.end());
    cout << n << "\n";
    for (auto p: mas)
    	cout << p.first << " " << p.second << "\n";
    return 0;    
}