/// Created by Arsenii Kirillov
 
#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
//#include <ext/pb_ds/assoc_container.hpp>
#define fi first
#define se second
#define sz(x) ((int)x.size())
#define all(x) x.begin(),x.end()
#ifndef LOCAL
#  define cerr __get_ce
#endif
 
using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
 
/*
using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;
//*/
 
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }
 
struct point {
	ll x, y;
	point (ll x_ = 0, ll y_ = 0): x(x_), y(y_) {};
	point operator - (point const a) {
		return point(x - a.x, y - a.y);
	}
	ll operator * (point const a) {
		return x * a.y - y * a.x;
	}
	ll operator / (point const a) {
		return x * a.x + y * a.y;
	}
	bool operator == (point const a) const {
		return x == a.x && y == a.y;
	}
	bool operator <(const point a) const {
		if (x != a.x)
			return x < a.x;
		return y < a.y;
	}
};

ll sign(ll a) {
	if (a > 0)
		return 1;
	else if (a < 0)
		return -1;
	else
		return 0;
}

bool inter(point a, point b, point c, point d) {
	if (a == c || a == d || b == c || b == d) {
		return 0;
	}
	//*
	if ((c - a) * (b - a) == 0 && (a - c) / (b - c) < 0)
		return 1;
	if ((d - a) * (b - a) == 0 && (a - d) / (b - d) < 0)
		return 1;
	if ((a - c) * (d - c) == 0 && (c - a) / (d - a) < 0)
		return 1;
	if ((b - c) * (d - c) == 0 && (c - b) / (d - b) < 0)
		return 1;
	//*/
	return (sign((c - a) * (b - a)) * sign((d - a) * (b - a)) <= 0 && sign((a - c) * (d - c)) * sign((b - c) * (d - c)) <= 0);
}
 
void solve() {
	int n;
	cin >> n;
	vector<pair<int, point>> mas(n);
	for (int i = 0; i < n; i++) {
		cin >> mas[i].se.x >> mas[i].se.y;
		mas[i].fi = i;
	}
	vector<pair<int, point>> ans;
	ll answer = -1;
	do {
		ll s = 0;
		mas.push_back(mas[0]);
		bool ok = 1;
		for (int i = 0; i < n; i++) {
			s += (mas[i].se.y + mas[i + 1].se.y) * (mas[i + 1].se.x - mas[i].se.x);
			for (int j = i + 2; j < n; j++)
				if (inter(mas[i].se, mas[i + 1].se, mas[j].se, mas[j + 1].se)) {
					/*
					if (mas[0].fi == 0 && mas[1].fi == 1 && mas[2].fi == 3 && mas[3].fi == 2 && mas[4].fi == 4)
						cout << i << " " << j << endl;
					//*/
					ok = 0;
				}
		}
		s = abs(s);
		/*
		if (mas[0].fi == 0 && mas[1].fi == 1 && mas[2].fi == 3 && mas[3].fi == 2 && mas[4].fi == 4)
			cout << s << " " << answer << " " << ok << endl;
		if (mas[0].fi == 0 && mas[1].fi == 1 && mas[2].fi == 4 && mas[3].fi == 2 && mas[4].fi == 3)
			cout << s << " " << answer << " " << ok << endl;
		//*/
		if (ok && s > answer) {
			answer = s;
			ans = mas;
		}
		mas.pop_back();
	} while (next_permutation(all(mas)));
	//cout << inter(point(0, 0), point(2, 2), point(2, -2), point(-2, -2)) << endl;
	if (answer == -1) {
		cout << "No" << endl;
		return;
	}
	cout << "Yes\n";
	ans.pop_back();
	for (int i = 0; i < sz(ans); i++)
		cout << ans[i].fi + 1 << " ";
	cout << endl;
}
 
 
int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
 
	int test_count = 1;
	//cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
 
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}