#include <iostream>
#include <vector>
#include <deque>

int main() {

    unsigned int n, b;
    std::cin >> n >> b;
    std::vector<unsigned int> a(n);
    for (unsigned int i = 0; i < n; i++) {
        std::cin >> a[i];
    }

    long long ans = 0;
    std::deque<std::pair<unsigned int, unsigned int>> values;
    for (unsigned int i = 0; i < n; i++) {
        values.push_back({a[i], i});
        unsigned int cnt = 0;
        while (cnt < b && !values.empty()) {
            auto &f = values.front();
            if (cnt + f.first <= b) {
                cnt += f.first;
                ans += static_cast<long long>(i + 1 - f.second) * f.first;
                values.pop_front();
            } else {
                ans += static_cast<long long>(i + 1 - f.second) * (b - cnt);
                f.first -= (b - cnt);
                cnt = b;
            }
        }
    }

    while (!values.empty()) {
        auto &f = values.front();
        ans += static_cast<long long>(n + 1 - f.second) * f.first;
        values.pop_front();
    }

    std::cout << ans << '\n';

}